Bug 198681 - Anaconda failure with "AttributeError: 'module' object has no attribute 'confignetdevice'"
Anaconda failure with "AttributeError: 'module' object has no attribute 'conf...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 15:01 EDT by Harry Dolan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 12:54:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error log file created by anaconda (117.34 KB, text/plain)
2006-07-12 15:01 EDT, Harry Dolan
no flags Details

  None (edit)
Description Harry Dolan 2006-07-12 15:01:50 EDT
Description of problem:

Anaconda gets a fatal error just after last package is installed.  (Log file
attached).


Version-Release number of selected component (if applicable): 


How reproducible:

I ran the install with the install iso files on a separate hard disk (/dev/hdb)
to partition /dev/hda11 using a kickstart file (listed below).  This is
something I've done many times with FC5.  I use the pxeboot kernel with the
following parameters:

title Fedora 6 INSTALL
        root (hd0,0)
        kernel /kernels/fc6-pxeboot/vmlinuz
ks=hd:hdb1/distros/fedora/6/ks-linbox.cfg
        initrd /kernels/fc6-pxeboot/initrd.img

Here is ks-linbox.cfg:

install
harddrive --partition=hdb1 --dir=/distros/fedora/6
lang en_US.UTF-8
keyboard us
xconfig --driver "nv" --videoram 65536 --resolution 1920x1200 --depth 16
--startxonboot
monitor --hsync 30-92 --vsync 50-180
network --device eth0 --bootproto static --ip 66.170.74.95 --netmask
255.255.255.192 --gateway 66.170.74.65 --nameserver
192.168.2.2,66.170.64.1,66.170.64.13 --hostname linbox.dolanhousenetwork
--device eth1 --bootproto static --ip 192.168.2.2 --netmask 255.255.255.0
--gateway 66.170.74.65 --nameserver 192.168.2.2,66.170.64.1,66.170.64.13
--hostname linbox.dolanhouse
rootpw --iscrypted $1$XJidHanQ$FV.vrso84iIxcZ0mh3bdz1
firewall --enabled --port=22:tcp
authconfig --enableshadow --enablemd5
selinux --disable
timezone America/Chicago
bootloader --location=none
reboot

part /            --fstype ext3            --onpart hda11
part swap                       --noformat --onpart hda5
part /boot        --fstype ext3 --noformat --onpart hda1

%packages
@Core
@Base


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Harry Dolan 2006-07-12 15:01:50 EDT
Created attachment 132325 [details]
error log file created by anaconda
Comment 2 Harry Dolan 2006-07-12 22:20:48 EDT
I just determined that I can make the message go away if I substitute the
following (incorrect for me) "network" statements in the kickstart file:

network --device eth0 --onboot no --bootproto dhcp
network --device eth1 --onboot no --bootproto dhcp
Comment 3 David Cantrell 2006-07-13 12:54:56 EDT
confignetdevice and pumpnetdevice have been rewritten to use libdhcp and added
back to isys.  We're still in the process of adding in IPv6 support to the UI
elements, so for now the confignetdevice and pumpnetdevices functions just do IPv4.

Note You need to log in before you can comment on or make changes to this bug.